## r-cran-genabel 1.7

=== DESCRIPTION ===
Package: GenABEL
Type: Package
Title: genome-wide SNP association analysis
Version: 1.7-6
Date: 2013-05-16
Author: GenABEL project developers
Contact: GenABEL project developers <genabel.project@gmail.com>
Maintainer: Yurii Aulchenko <yurii@bionet.nsc.ru>
Depends: R (>= 2.10.0), methods, MASS, utils
Suggests: qvalue, genetics, haplo.stats, DatABEL (>= 0.9-0), hglm,
        MetABEL, PredictABEL, VariABEL, bigRR
Description: a package for genome-wide association analysis between
        quantitative or binary traits and single-nucleotide
        polymorphisms (SNPs).
License: GPL (>= 2)
URL: http://www.genabel.org, http://forum.genabel.org,
        http://genabel.r-forge.r-project.org/
BugReports: http://r-forge.r-project.org/tracker/?group_id=505
Packaged: 2013-05-16 17:39:18 UTC; yuryaulchenko
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-05-16 20:11:52

## r-cran-genabel 1.6-5

=== debian/changelog ===
r-cran-genabel (1.6-5-1) unstable; urgency=low

  * New upstream release, buildable with R > 2.12 (closes: #620269).

  [ Andreas Tille ]
  * debian/control:
    - added myself to uploaders
    - changed section to gnu-r
    - Depend on ${R:Depends}
  * debian/rules:
    - fix permissions of files that should not be executable
    - Require a number equal or superior than the R version the package
      was built with, using a R:Depends substvar

  [ Charles Plessy ]
  * debian/control:
    - Added myself to uploaders.
    - Use debhelper 8 (debian/compat).
    - Build-depend on R > 2.10 according to DESCRIPTION.
    - Replaces r-other-genabel.
    - Added Vcs-Browser and Vcs-Svn fields.
    - Updated homepage.
  * Install CHANGES.LOG as upstream changelog (debian/rules).
  * Converted debian/copyright to DEP-5 format.

 -- Charles Plessy <plessy@debian.org>  Fri, 01 Apr 2011 13:46:37 +0900

r-cran-genabel (1.6-4-1) unstable; urgency=low

  * New upstream release.
  * The package has now arrived in CRAN and is taken from there,
    which according to the R policy is also reflected by the name change.
  * Switch to source/format 3.0 (quilt)
  * Bumped policy-standard to 3.9.1.

 -- Steffen Moeller <moeller@debian.org>  Sat, 05 Feb 2011 18:06:24 +0100

r-other-genabel (1.4-0-1) unstable; urgency=low

  * Initial release (Closes: #492044).

 -- Steffen Moeller <moeller@debian.org>  Wed, 23 Jul 2008 15:43:37 +0200

=== debian/control ===
Source: r-cran-genabel
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.10), r-recommended, r-cran-genetics, r-cran-haplo.stats, r-cran-qvalue
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-genabel/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-cran-genabel/trunk/
Homepage: http://www.genabel.org/

Package: r-cran-genabel
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, r-recommended, r-cran-genetics, r-cran-haplo.stats, r-cran-qvalue
Provides: r-other-genabel
Conflicts: r-other-genabel
Replaces: r-other-genabel
Description: GNU R package for genome-wide SNP association analysis
 The package offers the R library GenABEL for the hunt of genetic contributions
 to a disease (or any other pheonypical trait) by so called genome-wide
 association analysis. Additional input commonly comes from DNA mircoarray
 experiments, performed on every individual, that determine differences
 (polymorphisms) in the population. GenABEL finds associations between
 quantitative or binary traits and single-nucleiotide polymorphisms
 (SNPs). 
 .
 When publishing work based to which this package has contributed please
 cite: Yurii S. Aulchenko, Stephan Ripke, Aaron Isaacs, Cornelia M. van Duijn
 (2007) "GenABEL: an R library for genome-wide association analysis"
 Bioinformatics 2007 23(10):1294-1296.

## r-cran-genabel 1.7-0

=== debian/changelog ===
r-cran-genabel (1.7-0-3) testing-proposed-updates; urgency=low

  * Upload to testing-proposed-updates

 -- Andreas Tille <tille@debian.org>  Sat, 02 Feb 2013 07:08:19 +0000

r-cran-genabel (1.7-0-2) unstable; urgency=low

  * Fixing the problem which prevents the package from loading while
    checking the version on CRAN
    Closes: #699260

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2013 13:11:06 +0100

r-cran-genabel (1.7-0-1) unstable; urgency=low

  * New upstream release.
  * Depends and Suggests packages according to DESCRIPTION (debian/control).
  * Corrected VCS URLs (debian/control).
  * Conforms with Policy 3.9.2 (debian/control, no other changes needed).
  * Build-Depend on r-cran-mass instead of the whole r-recommended.

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Jan 2012 13:56:32 +0900

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-genabel package
# Copyright 2008-2011 by Steffen Moeller <moeller@debian.org>
#	    2011 by Andreas Tille <tille@debian.org>

debRreposname=cran
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	## Require a number equal or superior than the R version the package was built with.
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars
	find debian/$(package)/usr/lib/R/site-library/GenABEL/ -type f -exec chmod 644 \{\} \;

DEB_INSTALL_CHANGELOGS_ALL = CHANGES.LOG

## r-cran-genabel 1.7-3

=== debian/changelog ===
r-cran-genabel (1.7-3-1) unstable; urgency=low

  * New upstream version
  * Replace debian/README.Debian by debian/README.test
  * DEP5 copyright
  * Standards-Version: 3.9.4 (no changes needed)
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sat, 02 Feb 2013 12:32:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
  Andreas Tille <tille@debian.org>,
  Charles Plessy <plessy@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.10), r-recommended, r-cran-genetics, r-cran-haplo.stats, r-cran-qvalue
-Standards-Version: 3.9.1
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-genabel/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/R/r-cran-genabel/trunk/
+Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 2.10), r-cran-mass, r-cran-genetics, r-cran-haplo.stats, r-cran-qvalue
+Standards-Version: 3.9.4
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-cran-genabel/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-cran-genabel/trunk/
 Homepage: http://www.genabel.org/
 
 Package: r-cran-genabel
 Architecture: any
-Depends: ${shlibs:Depends}, ${R:Depends}, r-recommended, r-cran-genetics, r-cran-haplo.stats, r-cran-qvalue
+Depends: ${shlibs:Depends}, ${R:Depends}, r-cran-mass
+Suggests: r-cran-genetics, r-cran-haplo.stats, r-cran-qvalue
 Provides: r-other-genabel
 Conflicts: r-other-genabel
 Replaces: r-other-genabel

## r-cran-genabel 1.7-6

=== debian/changelog ===
r-cran-genabel (1.7-6-1) unstable; urgency=low

  * New upstream version
  * debian/control: Drop citation from long description because this
    information is provided in debian/upstream.

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jul 2013 09:22:48 +0200

r-cran-genabel (1.7-4-1) unstable; urgency=low

  * New upstream version 
  * Updated qvalue package name (moved from CRAN to Bioconductor).
  * Drop references to old name r-other-genabel.
  * Drop build-dependance on package only suggested.
  * Normalised VCS URLs following Lintian's standard.
  * Acquire R:Depends directly from r-base-dev.
  * Normalised control file with cme.

 -- Charles Plessy <plessy@debian.org>  Wed, 01 May 2013 14:58:43 +0900

=== debian/control ===
Source: r-cran-genabel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Charles Plessy <plessy@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-mass
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-genabel/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-genabel/trunk/
Homepage: http://www.genabel.org/

Package: r-cran-genabel
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-mass
Suggests: r-cran-genetics,
          r-cran-haplo.stats,
          r-bioc-qvalue
Description: GNU R package for genome-wide SNP association analysis
 The package offers the R library GenABEL for the hunt of genetic contributions
 to a disease (or any other pheonypical trait) by so called genome-wide
 association analysis. Additional input commonly comes from DNA mircoarray
 experiments, performed on every individual, that determine differences
 (polymorphisms) in the population. GenABEL finds associations between
 quantitative or binary traits and single-nucleiotide polymorphisms
 (SNPs).

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=cran
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	find debian/$(package)/usr/lib/R/site-library/GenABEL/ -type f -exec chmod 644 \{\} \;

DEB_INSTALL_CHANGELOGS_ALL = CHANGES.LOG

## r-cran-genabel 1.8

=== DESCRIPTION ===
Package: GenABEL
Type: Package
Title: genome-wide SNP association analysis
Version: 1.8-0
Date: 2013-12-09
Author: GenABEL project developers
Contact: GenABEL project developers <genabel.project at gmail.com>
Maintainer: Yurii Aulchenko <yurii@bionet.nsc.ru>
Depends: R (>= 2.15.0), methods, MASS, utils, GenABEL.data
Suggests: qvalue, genetics, haplo.stats, DatABEL (>= 0.9-0), hglm,
        MetABEL, PredictABEL, VariABEL, bigRR
Description: a package for genome-wide association analysis between 
             quantitative or binary traits and single-nucleotide
             polymorphisms (SNPs). 
License: GPL (>= 2)
URL: http://www.genabel.org, http://forum.genabel.org,
        http://genabel.r-forge.r-project.org/
BugReports: http://r-forge.r-project.org/tracker/?group_id=505
Packaged: 2013-12-26 05:48:08 UTC; maksim
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-27 14:47:02

=== inst/unitTests/Makefile ===
TOP=../..
PKG=${shell cd ${TOP};pwd}
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## r-cran-genabel 1.8-0

=== debian/changelog ===
r-cran-genabel (1.8-0-1) unstable; urgency=low

  [ Charles Plessy ]
  * debian/control: removed myself from Uploaders.

  [ Andreas Tille ]
  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * More detailed copyright

 -- Andreas Tille <tille@debian.org>  Thu, 07 Aug 2014 17:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: r-cran-genabel
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>,
-           Charles Plessy <plessy@debian.org>
+           Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cdbs,
                r-base-dev,
-               r-cran-mass
-Standards-Version: 3.9.4
+               r-cran-mass,
+               r-cran-genabel.data
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-genabel/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-genabel/trunk/
 Homepage: http://www.genabel.org/
@@ -18,7 +18,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${R:Depends},
-         r-cran-mass
+         r-cran-mass,
+         r-cran-genabel.data
 Suggests: r-cran-genetics,
           r-cran-haplo.stats,
           r-bioc-qvalue

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	find debian/$(package)/usr/lib/R/site-library/GenABEL/ -type f -exec chmod 644 \{\} \;

DEB_INSTALL_CHANGELOGS_ALL = ChangeLog

=== debian/watch ===
version=3
#http://mga.bionet.nsc.ru/nlru/GenABEL/GenABEL_(.*)\.tar\.gz
# The package has now arrived in CRAN
http://cran.r-project.org/src/contrib/GenABEL_(.*)\.tar\.gz
